[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r3632 - in glibc-package/trunk/debian: . local/etc_init.d



Author: aurel32
Date: 2009-07-19 19:07:54 +0000 (Sun, 19 Jul 2009)
New Revision: 3632

Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/local/etc_init.d/glibc.sh
Log:
  * debian/local/etc_init.d/glibc.sh: add support for start/stop/restart/
    force-reload options.




Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2009-07-19 17:10:02 UTC (rev 3631)
+++ glibc-package/trunk/debian/changelog	2009-07-19 19:07:54 UTC (rev 3632)
@@ -8,8 +8,10 @@
     version.
   * kfreebsd/local-sysdeps.diff: update to revision 2643 (from glibc-bsd).
     Closes: #537492.
+  * debian/local/etc_init.d/glibc.sh: add support for start/stop/restart/
+    force-reload options.
 
- -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jul 2009 01:51:10 +0200
+ -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Jul 2009 21:03:16 +0200
 
 eglibc (2.9-20) unstable; urgency=low
 

Modified: glibc-package/trunk/debian/local/etc_init.d/glibc.sh
===================================================================
--- glibc-package/trunk/debian/local/etc_init.d/glibc.sh	2009-07-19 17:10:02 UTC (rev 3631)
+++ glibc-package/trunk/debian/local/etc_init.d/glibc.sh	2009-07-19 19:07:54 UTC (rev 3632)
@@ -14,6 +14,26 @@
 
 set -e
 
+do_start () {
+
 # glibc kernel version check: KERNEL_VERSION_CHECK
+}
 
-: exit 0
+case "$1" in
+	start|"")
+		do_start
+	        ;;
+	restart|reload|force-reload)
+		echo "Error: argument '$1' not supported" >&2
+		exit 3
+		;;
+	stop)
+		# No-op
+		;;
+	*)
+		echo "Usage: glibc.sh [start|stop]" >&2
+		exit 3
+		;;
+esac
+
+exit 0


Reply to: